API reference
All operations
CONTACT

Updates an existing contact.

PUT/api/v2/contacts/{contactId}

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentialsAPI key

Parameters

contactIdpathinteger · int32required

The contact ID to update.

Request body

application/jsonrequired

The updated contact details.

UpdateContactRequest
  • contactIdinteger · int32
  • companyIdinteger · int32
  • titlestring
  • positionstring
  • departmentstring
  • firstNamestring
  • middleNamestring
  • lastNamestring
  • nickNamestring
  • emailstring
  • phonestring
  • cellstring
  • faxstring
  • globalUnsubscribeboolean

Responses

Contact updated successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataContactDto
  • contactIdinteger · int32
  • companyIdinteger · int32
  • companyDisplaystring
  • firstNamestring
  • middleNamestring
  • lastNamestring
  • fullNamestring
  • nickNamestring
  • phonestring
  • cellstring
  • faxstring
  • emailstring
  • titlestring
  • positionstring
  • departmentstring
  • deletedboolean
  • activeboolean
  • enteredstring · date-time
  • lastModifiedstring · date-time
  • completeboolean
  • externalIdstring
  • globalUnsubscribeboolean
  • linkedboolean
  • lastTouchUserstring
  • lastTouchDatestring · datenullable